# DescribeDatacenters

## 1. 接口描述

本接口用于查询端口列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="163">参数名称</th><th width="105.83649126510794">是否必选</th><th width="169">类型</th><th>描述</th></tr></thead><tbody><tr><td>dcIds</td><td>否</td><td>Array of String</td><td>数据中心四字码，由机场三字码加数字编号组成。</td></tr><tr><td>isPortAvailable</td><td>否</td><td>Boolean</td><td><p>筛选是否支持新建数据中心端口的dc。</p><p>true: 支持，</p><p>false: 不支持。</p></td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="151">参数名称</th><th>类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p></td></tr><tr><td>dcSet</td><td>Array of <a href="../../datastructure#datacenterinfo">DatacenterInfo</a></td><td>结果集。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**根据dcId 筛选获取新加坡1的数据中心信息。**

```
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDatacenters
<Common Request Params>

Request: 
{
    "dcIds": ["SIN1"]
}

Response: 
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "dcSet": [{
            "dcId":"SIN1",
            "dcName":"AP-Singapore1",
            "cityName":"Singapore",
            "areaName":"Asia Pacific",
            "countryName":"Singapore",
            "dcAddress":"20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964"
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/test/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/test/api-introduction/instruction/commonerrorcode)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/networking/sdn/common/describedatacenters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
